oracle.pgx.api

## Class VertexSet<ID extends Comparable<ID>>

- java.lang.Object
- - oracle.pgx.api.Destroyable
  - - oracle.pgx.api.PgxManagedObject
    - - oracle.pgx.api.PgxCollection<PgxVertex<ID>,ID>
      - - oracle.pgx.api.VertexCollection<ID>
        - - oracle.pgx.api.VertexSet<ID>

- Type Parameters:
    `ID` - the vertex ID type.
  All Implemented Interfaces:
    AutoCloseable, Iterable<PgxVertex<ID>>

      public class VertexSet<ID extends Comparable<ID>>
      extends VertexCollection<ID>

  An unordered set of vertices (no duplicates).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V extends Comparable<V>> void` | `extractTopKFromMap(PgxMap<PgxVertex<ID>,V> map, int k)` Blocking version of `#extractTopKFromMapAsync()`.
    `<V extends Comparable<V>> PgxFuture<Void>` | `extractTopKFromMapAsync(PgxMap<PgxVertex<ID>,V> map, int k)` Extracts the top k keys from the given map and puts them into this collection.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.VertexCollection

      `addAll, removeAll`

    - ### Methods inherited from class oracle.pgx.api.PgxCollection

      `addAll, addAll, addAllAsync, addAllAsync, clear, clearAsync, clone, clone, cloneAsync, cloneAsync, getCollectionType, getElementType, getGraph, getName, iterator, iteratorAsync, removeAll, removeAllAsync, size, sizeAsync`

    - ### Methods inherited from class oracle.pgx.api.PgxManagedObject

      `equals, hashCode`

    - ### Methods inherited from class oracle.pgx.api.Destroyable

      `close, destroy, destroyAsync`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### extractTopKFromMap

          @Generated(value="src/python/synchronize.py")
          public <V extends Comparable<V>> void extractTopKFromMap(PgxMap<PgxVertex<ID>,V> map,
                                                                         int k)
                                  throws ExecutionException,
                                         InterruptedException

      Blocking version of `#extractTopKFromMapAsync()`. Calls `#extractTopKFromMapAsync()` and waits for returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### extractTopKFromMapAsync

          public <V extends Comparable<V>> PgxFuture<Void> extractTopKFromMapAsync(PgxMap<PgxVertex<ID>,V> map,
                                                                          int k)

      Extracts the top k keys from the given map and puts them into this collection.
      Parameters:
        `map` - the map to extract the keys from
        `k` - how many keys to extract

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `VertexCollection<ID extends Comparable<ID>>`

Copyright © 2015. All rights reserved.